# $Revision: 1.52 $, $Date: 2005/09/04 14:51:07 $
#
# Conditional build:
%bcond_without	cups	# without CUPS support
#
Summary:	HP Inkjet Server
Summary(pl):	Serwer dla drukarek HP Inkjet
Name:		hpijs
Version:	2.1.4
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://dl.sourceforge.net/hpinkjet/%{name}-%{version}.tar.gz
# Source0-md5:	7f943ad155c50191a5facdfc2a083110
URL:		http://hpinkjet.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
Conflicts:	ghostscript <= 7.00-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with cups}
%define 	_cupsdir 	%(cups-config --datadir)
%define		_cupsppddir	%{_cupsdir}/model
%endif

%description
The Hewlett-Packard Inkjet Server is a raster-to-pcl server or
coprocess based on the Hewlett Packard Appliance Printing Development
Kit at http://hpapdk.com/. The server is used with Ghostscript as
deskjet printer driver.

%description -l pl
Serwer Hewlett-Packard Inkjet jest serwerem raster-do-pcl lub jako
koproces bazowany na Hewlett Packard Appliance Printing Development
Kit z http://hpapdk.com/. Serwer jest uywany wraz z Ghostscriptem
jako sterownik dla drukarek atramentowych DeskJet.

%package ppd
Summary:	PPD database for Hewlett Packard printers
Summary(pl):	Baza danych PPD dla drukarek Hewlett Packard
Group:		Applications/System
Requires:	cups
Obsoletes:	hpijs-foomatic

%description ppd
PPD database for Hewlett Packard printers.

%description ppd -l pl
Baza danych PPD dla drukarek Hewlett Packard.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	--enable-foomatic-install \
	%{!?with_cups:--disable-cups-install}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%if %{with cups}
install -d $RPM_BUILD_ROOT$(cups-config --datadir)/model \
	$RPM_BUILD_ROOT$(cups-config --serverbin)/filter
%endif

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with cups}
rm -f $RPM_BUILD_ROOT%{_cupsppddir}/foomatic-ppds
mv $RPM_BUILD_ROOT{%{_datadir}/ppd/HP/*,%{_cupsppddir}}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING hpijs_readme.html
%attr(755,root,root) %{_bindir}/hpijs

%if %{with cups}
%files ppd
%defattr(644,root,root,755)
%{_cupsppddir}/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hpijs.spec,v $
Revision 1.52  2005/09/04 14:51:07  qboosh
- updated to 2.1.4, removed obsolete ac_fixes patch

Revision 1.51  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.50  2005/01/18 23:03:18  qboosh
- unified sf URL, pl fix

Revision 1.49  2004/10/28 19:50:32  adgor
- foomatic-rip already in foomatic-filters pkg
- reverted

Revision 1.48  2004/10/28 19:42:29  adgor
- Added foomatic-rip script

Revision 1.47  2004/10/20 15:30:35  freetz
- 1.7.1: minor code changes and add 17 new printers
- switched to _working_ sf.net download mirror
- STBR

Revision 1.46  2004/10/11 21:02:50  freetz
- 1.6.2 - some new printers added, mostly small fixes

Revision 1.45  2004/09/14 20:31:47  kolodko
- rm foomatic-rip from files (conflict with foomatic-filters)
- rel 3

Revision 1.44  2004/09/06 07:00:02  darekr
- missing file

Revision 1.43  2004/08/29 18:59:02  darekr
- update to 1.6.1

Revision 1.42  2004/08/18 21:27:31  undefine
- release 2

Revision 1.41  2004/04/21 16:21:19  qboosh
- updated to 1.6, dropped gcc2-without-libstdc++ hacks

Revision 1.40  2004/01/30 19:39:46  eothane
- few cleanups

Revision 1.39  2004/01/30 19:20:29  eothane
- new bcond style

Revision 1.38  2003/10/12 14:49:19  blues
- cosmetics

Revision 1.37  2003/10/12 10:26:39  matkor
- Ra changes release dumb-bump to 5.

Revision 1.36  2003/10/12 01:12:50  qboosh
- DESTDIR patch is obsolete, but ac_fixes is NOT

Revision 1.35  2003/10/07 21:09:57  matkor
- Version 1.5. Release 1.1. (Tested only on Ra.)

Revision 1.34  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.33  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.32  2003/08/02 13:23:33  deejay1
- force rm!

Revision 1.31  2003/06/24 12:32:26  qboosh
- don't call cups-config if _without_cups

Revision 1.30  2003/06/24 12:19:13  djurban
- proper ppd placement

Revision 1.29  2003/06/19 11:55:06  qboosh
- added _without_cups, separated foomatic subpackage with PPD database

Revision 1.28  2003/06/13 09:58:47  wiget
- updated to 1.4.1

Revision 1.27  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.26  2003/05/25 05:48:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/03/15 10:46:53  misto
- BR:  libstdc++-devel

Revision 1.24  2003/02/25 16:43:29  mmazur
- updated to 1.3.1

Revision 1.23  2002/12/21 11:09:59  michuz
- updated to 1.3

Revision 1.22  2002/09/07 16:41:47  kloczek
- (auto)updated to 1.2.1: new feacrures, new priinters and bug fixes.

Revision 1.21  2002/08/09 10:59:03  michuz
- updated to 1.2

Revision 1.20  2002/05/31 10:29:30  gotar
- changed group to Applications/System,
- release 2.

Revision 1.19  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.17  2002/05/05 13:21:01  klark
- upgrade to version 1.1

Revision 1.16  2002/04/30 22:18:18  kloczek
- updated to 1.0.4 (tested by Grzegorz Prdki),
- better way for redefine CXX.

Revision 1.15  2002/04/25 16:34:12  arturs
fixed a small typo

Revision 1.14  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/05 07:18:23  kloczek
- added ac_fixes aptch which adds libm detections and removes all CFLAG.
  CXXFLAGS manipulations,
- as CXX use %%{__cc} and add to CXXFLAGS -fno-rtti and -fno-exceptiosn;
  result: cuts down hpijs executable size from ~190KB to ~160KB and now hpijs
  binary isnt linked with libstdc++,
- switch to DESTDIR style %install,
- cosmerics.

Revision 1.10  2002/02/04 17:09:40  marcus
- new version 1.0.2 (new license!)

Revision 1.9  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/17 21:24:12  mkochano
- Updated source URI.
NOTE: there is 1.0 on SF.

Revision 1.7  2001/11/20 00:36:12  blues
- added translations

Revision 1.6  2001/07/19 12:38:10  mguevara
- added RPM_OPT_FLAGS to build stage
- new patch to makefile to support these flags
  md5sum:
  22acc8a303cb60ccae6a0a4ee8093e1c  hpijs-make-flags.patch

Revision 1.5  2001/07/16 00:09:27  qboosh
- simplified doc

Revision 1.4  2001/07/15 10:51:54  kloczek
- cosmetics (and probably NYF).

Revision 1.3  2001/07/15 10:46:02  kloczek
- adapterized.

Revision 1.2  2001/07/14 20:06:25  mguevara
- changed atributes of hpijs to 755 to make it work

Revision 1.1  2001/07/12 14:38:19  mguevara
- initial release - hp inkjet server/driver package
- now separated from ghostscript package
